## EXISTS TABLE-Anweisung (exists_table_statement)

Eine EXISTS TABLE-Anweisung (exists_table_statement) zeigt die Existenz oder Nichtexistenz einer Tabelle an.

### Syntax

<exists_table_statement> ::= EXISTS TABLE <table_name>

### Erläuterung

Die angegebene Tabelle muss eine Basis- oder View-Tabelle oder ein Synonym sein.

Die Existenz oder Nichtexistenz der angegebenen Tabelle wird durch die Rückmeldung 0 bzw. die Fehlermeldung –4004 Unknown table name signalisiert.

Eine Tabelle existiert für einen Benutzer nur dann, wenn er ein Privileg auf dieser Tabelle besitzt.